Subject: Re: bug#29709: 25.3; diff-buffer-with-file arguments reversed

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Dec 2017 19:49:16 +0200

> From: Dan Harms <[email-masked]>
> Date: Thu, 14 Dec 2017 06:01:43 -0600
> 
> When I execute (diff-buffer-with-file <buffer>), the file on disk is
> used as the first argument, the working buffer as the second.  This
> leads to a diff-mode buffer with the base-line (the left-hand side) as
> the file on disk, not my current buffer.  I would think this is opposite
> of what should be the default.  Wouldn't we more often want to view the
> buffer's current state as the baseline, and view what changes would be
> required to transform this buffer into the file on disk?

I think the idea is that the file on disk is the original version and
the text in your buffer is the modified (a.k.a. "new") version.